%define debug_package %{nil}

Summary:	aeskeyfind - locate 128-bit and 256-bit AES keys in a captured memory image

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		aeskeyfind
Version:	1.0
Release:	4%{?dist}
URL:		https://citp.princeton.edu/research/memory/code/

License:	GPL

Group:		Applications/Forensics Tools
Source:		https://citp.princeton.edu/memory-content/src/%{name}-%{version}.tar.gz
Patch1:		%{name}-%{version}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}

%description
This program illustrates automatic techniques for locating 128-bit and
256-bit AES keys in a captured memory image.

The program uses various algorithms and also performs a simple entropy
test to filter out blocks that are not keys. It counts the number of
repeated bytes and skips blocks that have too many repeats.

This method works even if several bits of the key schedule have been
corrupted due to memory decay.

This package is useful to several activities, as forensics investigations.

%prep
%setup -n %{name}
%patch1 -p1

%build
%{__make}

%install
%{__install} -Dp -m755 %{name} %{buildroot}%{_bindir}/%{name}
%{__install} -Dp -m755 %{name} %{buildroot}%{_bindir}/%{name}
%__install -d %{buildroot}%{_mandir}/man1
%__install %{name}.1 %{buildroot}%{_mandir}/man1


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc 
%attr(755, root, root)	%{_bindir}/%{name}
%attr(644, root, root)	%{_mandir}/man1/%{name}.1.gz

%changelog
